xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (c) Brandon S Allbery KF8NH 2014
License | BSD
Maintainer | allbery.b@gmail.com
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Config.Mate

Contents

- Usage

Description

This module provides a config suitable for use with the MATE desktop environment.

Synopsis

- mateConfig :: XConfig (ModifiedLayout AvoidStruts (Choose Tall (Choose (Mirror Tall) Full)))
- mateRun :: X ()
- matePanel :: String -> X ()
- mateRegister :: MonadIO m => m ()
- mateLogout :: MonadIO m => m ()
- mateShutdown :: MonadIO m => m ()
- desktopLayoutModifiers :: LayoutClass l a => l a -> ModifiedLayout AvoidStruts l a

# Usage

To use this module, start with the following `~/.xmonad/xmonad.hs`:

    import XMonad
    import XMonad.Config.Mate

    main = xmonad mateConfig

For examples of how to further customize `mateConfig` see XMonad.Config.Desktop.

mateConfig :: XConfig (ModifiedLayout AvoidStruts (Choose Tall (Choose (Mirror Tall) Full))) Source #

mateRun :: X () Source #

Launch the "Run Application" dialog. mate-panel must be running for this to work. partial application for existing keybinding compatibility.

matePanel :: String -> X () Source #

Launch a panel action. Either the "Run Application" dialog ("run_dialog" parameter, see above) or the main menu ("main_menu" parameter). mate-panel must be running for this to work.

mateRegister :: MonadIO m => m () Source #

Register xmonad with mate. 'dbus-send' must be in the $PATH with which xmonad is started.

This action reduces a delay on startup only if you have configured mate-session to start xmonad with a command such as (check local documentation):

    dconf write /org/mate/desktop/session/required_components/windowmanager "'xmonad'"

(the extra quotes are required by dconf)

mateLogout :: MonadIO m => m () Source #

Display MATE logout dialog. This is the default mod-q action.

mateShutdown :: MonadIO m => m () Source #

Display MATE shutdown dialog. You can override mod-q to invoke this, or bind it to another key if you prefer.

desktopLayoutModifiers :: LayoutClass l a => l a -> ModifiedLayout AvoidStruts l a Source #